#!/bin/sh
# This script runs a mini slint system from an image installed in the
# same directory named slintmini64-14.2.1.3a.raw

qemu-system-x86_64 \
-boot order=c \
-m 2G \
-soundhw hda \
-boot menu=on \
-display gtk \
-vga std \
-enable-kvm \
-cpu host \
-drive file=slintmini64-14.2.1.3.a.raw,format=raw,media=disk \
-cdrom slintmini64-14.2.1.3.a.iso

# Let's comment these options, that you can modify at will:
# -machine q35 sets the (virtual) machine type
# -m 2G indicates the amount of RAM allocated to the virtual machine.
#  Don't make it greater than half the size of the RAM on the host
# -sound hda sets the sound board used
# -display gtk displays the machine in window drawn with GTK
# -vga std sets the display mode
# -enable kvm allows the virtual machine to run as fast as the host.
#  This needs a CPU with virtualization and that virtualization be
#  enabled in the firmware's settings. To check the former type as root:
#  LANG=C lscpu|grep Virtualization
#  If the output is empty remove this line.

# If you want to run Slint in UEFI mode, include these lines before the
# the last one, after having removed the leading '#':

#-drive if=pflash,format=raw,readonly,file=/old/usr/share/ovmf-x64/OVMF_CODE-pure-efi.fd \
#-bios my_uefi_vars.bin \

# To know more, type:
# qemu-system-x86_64 --help|most

